package com.steerinfo.meterwork.meterworkcaractualbak.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计量汽车衡结净表")
public class MeterWorkCarActualBak implements IBasePO<String> {
    /**
     * 结净编号（YYYYMMDD+4位流水）(ACTUAL_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="结净编号（YYYYMMDD+4位流水）",required=true)
    private String actualNo;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=false)
    private String predictionNo;

    /**
     * 通知单号(磅单号)(NOTICE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="通知单号(磅单号)",required=false)
    private String noticeNo;

    /**
     * 车号(CAR_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 挂号(TRAILER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String trailerNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 合同号(CONTRACT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="合同号",required=false)
    private String contractNo;

    /**
     * 批次号(BATCH_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="批次号",required=false)
    private String batchNo;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 材质编号(MATERIAL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="材质编号",required=false)
    private String materialNo;

    /**
     * 材质名称(MATERIAL_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="材质名称",required=false)
    private String materialName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 卸货地点编号(LOAD_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="卸货地点编号",required=false)
    private String loadPointNo;

    /**
     * 卸货地点名称(LOAD_POINT_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="卸货地点名称",required=false)
    private String loadPointName;

    /**
     * 取样编号(SAMPLE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="取样编号",required=false)
    private String sampleNo;

    /**
     * 取样凭证(SAMPLE_VOUCHER,VARCHAR,40)
     */
    @ApiModelProperty(value="取样凭证",required=false)
    private String sampleVoucher;

    /**
     * 承运单位编号(CARRIER_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="承运单位编号",required=false)
    private String carrierUnitNo;

    /**
     * 承运单位名称(CARRIER_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="承运单位名称",required=false)
    private String carrierUnitName;

    /**
     * 计量类型编号（业务类型）(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号（业务类型）",required=false)
    private String meterTypeNo;

    /**
     * 计量类型名称（业务类型）(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称（业务类型）",required=false)
    private String meterTypeName;

    /**
     * 计量流程编号(METER_PROCESS_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="计量流程编号",required=false)
    private String meterProcessNo;

    /**
     * 计量流程版本号(METER_PROCESS_EDITION_NO,VARCHAR,250)
     */
    @ApiModelProperty(value="计量流程版本号",required=false)
    private String meterProcessEditionNo;

    /**
     * 毛重计量作业编号(ACTUAL_FIRST1_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="毛重计量作业编号",required=false)
    private String actualFirst1No;

    /**
     * 毛重(GROSS_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal grossWeight;

    /**
     * 毛重计量员编号(GROSS_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量员编号",required=false)
    private String grossManNo;

    /**
     * 毛重计量员姓名(GROSS_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="毛重计量员姓名",required=false)
    private String grossManName;

    /**
     * 毛重计量时间（YYYY-MM-DD HH:mm:SS）(GROSS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="毛重计量时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date grossTime;

    /**
     * 毛重计量点编号(BASE_SPOT1_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重计量点编号",required=false)
    private String baseSpot1No;

    /**
     * 毛重计量点名称(BASE_SPOT1_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="毛重计量点名称",required=false)
    private String baseSpot1Name;

    /**
     * 毛重班次(GROSS_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重班次",required=false)
    private String grossClass;

    /**
     * 毛重班组(GROSS_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="毛重班组",required=false)
    private String grossGroup;

    /**
     * 毛重计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）(GROSS_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="毛重计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）",required=false)
    private String grossMode;

    /**
     * 皮重计量作业编号(ACTUAL_FIRST2_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="皮重计量作业编号",required=false)
    private String actualFirst2No;

    /**
     * 皮重(TARE_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal tareWeight;

    /**
     * 皮重计量员编号(TARE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量员编号",required=false)
    private String tareManNo;

    /**
     * 皮重计量员姓名(TARE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="皮重计量员姓名",required=false)
    private String tareManName;

    /**
     * 皮重计量时间（YYYY-MM-DD HH:mm:SS）(TARE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重计量时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date tareTime;

    /**
     * 皮重计量点编号(BASE_SPOT2_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量点编号",required=false)
    private String baseSpot2No;

    /**
     * 皮重计量点名称(BASE_SPOT2_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="皮重计量点名称",required=false)
    private String baseSpot2Name;

    /**
     * 皮重班次(TARE_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重班次",required=false)
    private String tareClass;

    /**
     * 皮重班组(TARE_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重班组",required=false)
    private String tareGroup;

    /**
     * 皮重计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）(TARE_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="皮重计量方式（1：远程计量；2：智能计量；3：手工录入；4：放行智能计量；5：滞后匹配）",required=false)
    private String tareMode;

    /**
     * 净重(NET_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal netWeight;

    /**
     * 计量数量(METER_NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="计量数量",required=false)
    private Long meterNum;

    /**
     * 净重计量员编号(NET_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="净重计量员编号",required=false)
    private String netManNo;

    /**
     * 净重计量员姓名(NET_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="净重计量员姓名",required=false)
    private String netManName;

    /**
     * 净重计量时间（YYYY-MM-DD HH:mm:SS）(NET_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="净重计量时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date netTime;

    /**
     * 净重计量点编号(NET_SPOT3_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="净重计量点编号",required=false)
    private String netSpot3No;

    /**
     * 净重计量点名称(NET_SPOT3_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="净重计量点名称",required=false)
    private String netSpot3Name;

    /**
     * 净重班组(NET_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="净重班组",required=false)
    private String netGroup;

    /**
     * 结净方式（1：正常结净；2：匹配结净；3：双委托结净；4：混装结净；5：混卸结净）(NET_MODE,VARCHAR,1)
     */
    @ApiModelProperty(value="结净方式（1：正常结净；2：匹配结净；3：双委托结净；4：混装结净；5：混卸结净）",required=false)
    private String netMode;

    /**
     * 状态（0=作废，1=有效-未发布，2=有效-已发布）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0=作废，1=有效-未发布，2=有效-已发布）",required=false)
    private String valueFlag;

    /**
     * 上传状态（1=待上传；2=已上传 ）(UPLOAD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="上传状态（1=待上传；2=已上传 ）",required=false)
    private String uploadFlag;

    /**
     * 审核人编号(CHECK_MAN_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="审核人编号",required=false)
    private String checkManNo;

    /**
     * 审核人姓名(CHECK_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="审核人姓名",required=false)
    private String checkManName;

    /**
     * 审核时间（YYYY-MM-DD HH:mm:SS）(CHECK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date checkTime;

    /**
     * 上传人编号(UPLOAD_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="上传人编号",required=false)
    private String uploadManNo;

    /**
     * 上传人姓名(UPLOAD_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="上传人姓名",required=false)
    private String uploadManName;

    /**
     * 上传时间（YYYY-MM-DD HH:mm:SS）(UPLOAD_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="上传时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date uploadTime;

    /**
     * 附加重量(ADD_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="附加重量",required=false)
    private BigDecimal addWeight;

    /**
     * 净重班次(NET_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="净重班次",required=false)
    private String netClass;

    /**
     * 到老系统的同步标识；1=已同步；0=未同步；(TB_FLAGE,VARCHAR,1)
     */
    @ApiModelProperty(value="到老系统的同步标识；1=已同步；0=未同步；",required=false)
    private String tbFlage;

    /**
     * 火车车号(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="火车车号",required=false)
    private String railwayNo;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 备注(MEMO,VARCHAR,2000)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 炉号(HEAT_NO,VARCHAR,100)
     */
    @ApiModelProperty(value="炉号",required=false)
    private String heatNo;

    /**
     * 发运毛重(SHIPMENT_GROSS_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="发运毛重",required=false)
    private BigDecimal shipmentGrossWeight;

    /**
     * 发运净重(SHIPMENT_NET_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="发运净重",required=false)
    private BigDecimal shipmentNetWeight;

    /**
     * 发运数量(SHIPMENT_NUM,DECIMAL,5)
     */
    @ApiModelProperty(value="发运数量",required=false)
    private Integer shipmentNum;

    /**
     * 绑定卡号(BIND_CARD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="绑定卡号",required=false)
    private String bindCardNo;

    /**
     * 预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）(PREDICTION_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="预报类型（0：批次预报；1：单次预报；2：联运预报；3：分检预报）",required=false)
    private String predictionType;

    /**
     * 预报组合(PREDICTION_COMBINATION,VARCHAR,100)
     */
    @ApiModelProperty(value="预报组合",required=false)
    private String predictionCombination;

    /**
     * 计量码头名称(METER_PIER_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量码头名称",required=false)
    private String meterPierName;

    /**
     * 计量码头编号(METER_PIER_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="计量码头编号",required=false)
    private String meterPierNo;

    /**
     * 船号(SHIP_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="船号",required=false)
    private String shipNo;

    /**
     * 停用，启用，修改等原因(NOTE,VARCHAR,500)
     */
    @ApiModelProperty(value="停用，启用，修改等原因",required=false)
    private String note;

    /**
     * 主凭据号(VOUCHER_IDENTITY,VARCHAR,30)
     */
    @ApiModelProperty(value="主凭据号",required=false)
    private String voucherIdentity;

    /**
     * 主凭据行(VOUCHER_ITEM,VARCHAR,30)
     */
    @ApiModelProperty(value="主凭据行",required=false)
    private String voucherItem;

    /**
     * 主业务类型组(BUSINESS_GROUP,VARCHAR,30)
     */
    @ApiModelProperty(value="主业务类型组",required=false)
    private String businessGroup;

    /**
     * 临时牌号(TEMP_CONVEYANCE,VARCHAR,30)
     */
    @ApiModelProperty(value="临时牌号",required=false)
    private String tempConveyance;

    /**
     * 车型(CONVEYANCE_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="车型",required=false)
    private String conveyanceType;

    /**
     * 委托源系统(RESOURCE_SYSTEM,VARCHAR,30)
     */
    @ApiModelProperty(value="委托源系统",required=false)
    private String resourceSystem;

    /**
     * 分组计件件量(GROUP_PACKAGE_AMOUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="分组计件件量",required=false)
    private Long groupPackageAmount;

    /**
     * 分组计量单位(GROUP_PACKAGE_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="分组计量单位",required=false)
    private String groupPackageUnit;

    /**
     * 标准件数(PACKAGE_AMOUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="标准件数",required=false)
    private Long packageAmount;

    /**
     * 计件单位(PACKAGE_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="计件单位",required=false)
    private String packageUnit;

    /**
     * 理论量(THEORY_AMOUNT,DECIMAL,16)
     */
    @ApiModelProperty(value="理论量",required=false)
    private BigDecimal theoryAmount;

    /**
     * 计量组批号(MEASURE_BATCH,VARCHAR,30)
     */
    @ApiModelProperty(value="计量组批号",required=false)
    private String measureBatch;

    /**
     * 计量组批车数(MEASURE_BATCH_COUNT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量组批车数",required=false)
    private Long measureBatchCount;

    /**
     * 发货点类型(SENDER_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="发货点类型",required=false)
    private String senderType;

    /**
     * 发货点备注(SENDER_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="发货点备注",required=false)
    private String senderRemark;

    /**
     * 收货点类型(RECEIVER_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="收货点类型",required=false)
    private String receiverType;

    /**
     * 收货点备注(RECEIVER_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="收货点备注",required=false)
    private String receiverRemark;

    /**
     * 计量单位(AMOUNT_UNIT,VARCHAR,30)
     */
    @ApiModelProperty(value="计量单位",required=false)
    private String amountUnit;

    /**
     * 计量对象类型(MEASURE_OBJECT_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="计量对象类型",required=false)
    private String measureObjectType;

    /**
     * 计量任务号(MEASURE_TASK_NUM,VARCHAR,30)
     */
    @ApiModelProperty(value="计量任务号",required=false)
    private String measureTaskNum;

    /**
     * 票据类型(BILL_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="票据类型",required=false)
    private String billType;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 数据来源(1=智能终端，2=本地计量，3=应急计量，4=手动录入(计量票据录入))(DATA_SOURCE,VARCHAR,2)
     */
    @ApiModelProperty(value="数据来源(1=智能终端，2=本地计量，3=应急计量，4=手动录入(计量票据录入))",required=false)
    private String dataSource;

    /**
     * 是否匹配委托（0:未匹配，1:已匹配）(IS_PRE_SCALE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否匹配委托（0:未匹配，1:已匹配）",required=false)
    private String isPreScale;

    /**
     * 电子磅单地址(BOUND_LIST_URL,VARCHAR,400)
     */
    @ApiModelProperty(value="电子磅单地址",required=false)
    private String boundListUrl;

    /**
     * 是否生成电子磅单标识（0:未生成, 1:已生成）(IS_BOUND_LIST,VARCHAR,1)
     */
    @ApiModelProperty(value="是否生成电子磅单标识（0:未生成, 1:已生成）",required=false)
    private String isBoundList;

    /**
     * 电子签章系统合同ID(CONTRACT_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="电子签章系统合同ID",required=false)
    private String contractId;

    /**
     * 是否已从电子签章系统下载电子磅单(IS_BOUND_LIST_DOWNLOADED,VARCHAR,1)
     */
    @ApiModelProperty(value="是否已从电子签章系统下载电子磅单",required=false)
    private String isBoundListDownloaded;

    /**
     * 电子签章系统合同文档ID(DOCUMENT_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="电子签章系统合同文档ID",required=false)
    private String documentId;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.actualNo;
    }

    @Override
    public void setId(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getNoticeNo() {
        return noticeNo;
    }

    public void setNoticeNo(String noticeNo) {
        this.noticeNo = noticeNo == null ? null : noticeNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getTrailerNo() {
        return trailerNo;
    }

    public void setTrailerNo(String trailerNo) {
        this.trailerNo = trailerNo == null ? null : trailerNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo == null ? null : contractNo.trim();
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo == null ? null : batchNo.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public String getLoadPointNo() {
        return loadPointNo;
    }

    public void setLoadPointNo(String loadPointNo) {
        this.loadPointNo = loadPointNo == null ? null : loadPointNo.trim();
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getSampleNo() {
        return sampleNo;
    }

    public void setSampleNo(String sampleNo) {
        this.sampleNo = sampleNo == null ? null : sampleNo.trim();
    }

    public String getSampleVoucher() {
        return sampleVoucher;
    }

    public void setSampleVoucher(String sampleVoucher) {
        this.sampleVoucher = sampleVoucher == null ? null : sampleVoucher.trim();
    }

    public String getCarrierUnitNo() {
        return carrierUnitNo;
    }

    public void setCarrierUnitNo(String carrierUnitNo) {
        this.carrierUnitNo = carrierUnitNo == null ? null : carrierUnitNo.trim();
    }

    public String getCarrierUnitName() {
        return carrierUnitName;
    }

    public void setCarrierUnitName(String carrierUnitName) {
        this.carrierUnitName = carrierUnitName == null ? null : carrierUnitName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getMeterProcessNo() {
        return meterProcessNo;
    }

    public void setMeterProcessNo(String meterProcessNo) {
        this.meterProcessNo = meterProcessNo == null ? null : meterProcessNo.trim();
    }

    public String getMeterProcessEditionNo() {
        return meterProcessEditionNo;
    }

    public void setMeterProcessEditionNo(String meterProcessEditionNo) {
        this.meterProcessEditionNo = meterProcessEditionNo == null ? null : meterProcessEditionNo.trim();
    }

    public String getActualFirst1No() {
        return actualFirst1No;
    }

    public void setActualFirst1No(String actualFirst1No) {
        this.actualFirst1No = actualFirst1No == null ? null : actualFirst1No.trim();
    }

    public BigDecimal getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(BigDecimal grossWeight) {
        this.grossWeight = grossWeight;
    }

    public String getGrossManNo() {
        return grossManNo;
    }

    public void setGrossManNo(String grossManNo) {
        this.grossManNo = grossManNo == null ? null : grossManNo.trim();
    }

    public String getGrossManName() {
        return grossManName;
    }

    public void setGrossManName(String grossManName) {
        this.grossManName = grossManName == null ? null : grossManName.trim();
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public String getBaseSpot1No() {
        return baseSpot1No;
    }

    public void setBaseSpot1No(String baseSpot1No) {
        this.baseSpot1No = baseSpot1No == null ? null : baseSpot1No.trim();
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name == null ? null : baseSpot1Name.trim();
    }

    public String getGrossClass() {
        return grossClass;
    }

    public void setGrossClass(String grossClass) {
        this.grossClass = grossClass == null ? null : grossClass.trim();
    }

    public String getGrossGroup() {
        return grossGroup;
    }

    public void setGrossGroup(String grossGroup) {
        this.grossGroup = grossGroup == null ? null : grossGroup.trim();
    }

    public String getGrossMode() {
        return grossMode;
    }

    public void setGrossMode(String grossMode) {
        this.grossMode = grossMode == null ? null : grossMode.trim();
    }

    public String getActualFirst2No() {
        return actualFirst2No;
    }

    public void setActualFirst2No(String actualFirst2No) {
        this.actualFirst2No = actualFirst2No == null ? null : actualFirst2No.trim();
    }

    public BigDecimal getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(BigDecimal tareWeight) {
        this.tareWeight = tareWeight;
    }

    public String getTareManNo() {
        return tareManNo;
    }

    public void setTareManNo(String tareManNo) {
        this.tareManNo = tareManNo == null ? null : tareManNo.trim();
    }

    public String getTareManName() {
        return tareManName;
    }

    public void setTareManName(String tareManName) {
        this.tareManName = tareManName == null ? null : tareManName.trim();
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public String getBaseSpot2No() {
        return baseSpot2No;
    }

    public void setBaseSpot2No(String baseSpot2No) {
        this.baseSpot2No = baseSpot2No == null ? null : baseSpot2No.trim();
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name == null ? null : baseSpot2Name.trim();
    }

    public String getTareClass() {
        return tareClass;
    }

    public void setTareClass(String tareClass) {
        this.tareClass = tareClass == null ? null : tareClass.trim();
    }

    public String getTareGroup() {
        return tareGroup;
    }

    public void setTareGroup(String tareGroup) {
        this.tareGroup = tareGroup == null ? null : tareGroup.trim();
    }

    public String getTareMode() {
        return tareMode;
    }

    public void setTareMode(String tareMode) {
        this.tareMode = tareMode == null ? null : tareMode.trim();
    }

    public BigDecimal getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(BigDecimal netWeight) {
        this.netWeight = netWeight;
    }

    public Long getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Long meterNum) {
        this.meterNum = meterNum;
    }

    public String getNetManNo() {
        return netManNo;
    }

    public void setNetManNo(String netManNo) {
        this.netManNo = netManNo == null ? null : netManNo.trim();
    }

    public String getNetManName() {
        return netManName;
    }

    public void setNetManName(String netManName) {
        this.netManName = netManName == null ? null : netManName.trim();
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public String getNetSpot3No() {
        return netSpot3No;
    }

    public void setNetSpot3No(String netSpot3No) {
        this.netSpot3No = netSpot3No == null ? null : netSpot3No.trim();
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name == null ? null : netSpot3Name.trim();
    }

    public String getNetGroup() {
        return netGroup;
    }

    public void setNetGroup(String netGroup) {
        this.netGroup = netGroup == null ? null : netGroup.trim();
    }

    public String getNetMode() {
        return netMode;
    }

    public void setNetMode(String netMode) {
        this.netMode = netMode == null ? null : netMode.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getUploadFlag() {
        return uploadFlag;
    }

    public void setUploadFlag(String uploadFlag) {
        this.uploadFlag = uploadFlag == null ? null : uploadFlag.trim();
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo == null ? null : checkManNo.trim();
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName == null ? null : checkManName.trim();
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getUploadManNo() {
        return uploadManNo;
    }

    public void setUploadManNo(String uploadManNo) {
        this.uploadManNo = uploadManNo == null ? null : uploadManNo.trim();
    }

    public String getUploadManName() {
        return uploadManName;
    }

    public void setUploadManName(String uploadManName) {
        this.uploadManName = uploadManName == null ? null : uploadManName.trim();
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public BigDecimal getAddWeight() {
        return addWeight;
    }

    public void setAddWeight(BigDecimal addWeight) {
        this.addWeight = addWeight;
    }

    public String getNetClass() {
        return netClass;
    }

    public void setNetClass(String netClass) {
        this.netClass = netClass == null ? null : netClass.trim();
    }

    public String getTbFlage() {
        return tbFlage;
    }

    public void setTbFlage(String tbFlage) {
        this.tbFlage = tbFlage == null ? null : tbFlage.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getHeatNo() {
        return heatNo;
    }

    public void setHeatNo(String heatNo) {
        this.heatNo = heatNo == null ? null : heatNo.trim();
    }

    public BigDecimal getShipmentGrossWeight() {
        return shipmentGrossWeight;
    }

    public void setShipmentGrossWeight(BigDecimal shipmentGrossWeight) {
        this.shipmentGrossWeight = shipmentGrossWeight;
    }

    public BigDecimal getShipmentNetWeight() {
        return shipmentNetWeight;
    }

    public void setShipmentNetWeight(BigDecimal shipmentNetWeight) {
        this.shipmentNetWeight = shipmentNetWeight;
    }

    public Integer getShipmentNum() {
        return shipmentNum;
    }

    public void setShipmentNum(Integer shipmentNum) {
        this.shipmentNum = shipmentNum;
    }

    public String getBindCardNo() {
        return bindCardNo;
    }

    public void setBindCardNo(String bindCardNo) {
        this.bindCardNo = bindCardNo == null ? null : bindCardNo.trim();
    }

    public String getPredictionType() {
        return predictionType;
    }

    public void setPredictionType(String predictionType) {
        this.predictionType = predictionType == null ? null : predictionType.trim();
    }

    public String getPredictionCombination() {
        return predictionCombination;
    }

    public void setPredictionCombination(String predictionCombination) {
        this.predictionCombination = predictionCombination == null ? null : predictionCombination.trim();
    }

    public String getMeterPierName() {
        return meterPierName;
    }

    public void setMeterPierName(String meterPierName) {
        this.meterPierName = meterPierName == null ? null : meterPierName.trim();
    }

    public String getMeterPierNo() {
        return meterPierNo;
    }

    public void setMeterPierNo(String meterPierNo) {
        this.meterPierNo = meterPierNo == null ? null : meterPierNo.trim();
    }

    public String getShipNo() {
        return shipNo;
    }

    public void setShipNo(String shipNo) {
        this.shipNo = shipNo == null ? null : shipNo.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getVoucherIdentity() {
        return voucherIdentity;
    }

    public void setVoucherIdentity(String voucherIdentity) {
        this.voucherIdentity = voucherIdentity == null ? null : voucherIdentity.trim();
    }

    public String getVoucherItem() {
        return voucherItem;
    }

    public void setVoucherItem(String voucherItem) {
        this.voucherItem = voucherItem == null ? null : voucherItem.trim();
    }

    public String getBusinessGroup() {
        return businessGroup;
    }

    public void setBusinessGroup(String businessGroup) {
        this.businessGroup = businessGroup == null ? null : businessGroup.trim();
    }

    public String getTempConveyance() {
        return tempConveyance;
    }

    public void setTempConveyance(String tempConveyance) {
        this.tempConveyance = tempConveyance == null ? null : tempConveyance.trim();
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType == null ? null : conveyanceType.trim();
    }

    public String getResourceSystem() {
        return resourceSystem;
    }

    public void setResourceSystem(String resourceSystem) {
        this.resourceSystem = resourceSystem == null ? null : resourceSystem.trim();
    }

    public Long getGroupPackageAmount() {
        return groupPackageAmount;
    }

    public void setGroupPackageAmount(Long groupPackageAmount) {
        this.groupPackageAmount = groupPackageAmount;
    }

    public String getGroupPackageUnit() {
        return groupPackageUnit;
    }

    public void setGroupPackageUnit(String groupPackageUnit) {
        this.groupPackageUnit = groupPackageUnit == null ? null : groupPackageUnit.trim();
    }

    public Long getPackageAmount() {
        return packageAmount;
    }

    public void setPackageAmount(Long packageAmount) {
        this.packageAmount = packageAmount;
    }

    public String getPackageUnit() {
        return packageUnit;
    }

    public void setPackageUnit(String packageUnit) {
        this.packageUnit = packageUnit == null ? null : packageUnit.trim();
    }

    public BigDecimal getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(BigDecimal theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public String getMeasureBatch() {
        return measureBatch;
    }

    public void setMeasureBatch(String measureBatch) {
        this.measureBatch = measureBatch == null ? null : measureBatch.trim();
    }

    public Long getMeasureBatchCount() {
        return measureBatchCount;
    }

    public void setMeasureBatchCount(Long measureBatchCount) {
        this.measureBatchCount = measureBatchCount;
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType == null ? null : senderType.trim();
    }

    public String getSenderRemark() {
        return senderRemark;
    }

    public void setSenderRemark(String senderRemark) {
        this.senderRemark = senderRemark == null ? null : senderRemark.trim();
    }

    public String getReceiverType() {
        return receiverType;
    }

    public void setReceiverType(String receiverType) {
        this.receiverType = receiverType == null ? null : receiverType.trim();
    }

    public String getReceiverRemark() {
        return receiverRemark;
    }

    public void setReceiverRemark(String receiverRemark) {
        this.receiverRemark = receiverRemark == null ? null : receiverRemark.trim();
    }

    public String getAmountUnit() {
        return amountUnit;
    }

    public void setAmountUnit(String amountUnit) {
        this.amountUnit = amountUnit == null ? null : amountUnit.trim();
    }

    public String getMeasureObjectType() {
        return measureObjectType;
    }

    public void setMeasureObjectType(String measureObjectType) {
        this.measureObjectType = measureObjectType == null ? null : measureObjectType.trim();
    }

    public String getMeasureTaskNum() {
        return measureTaskNum;
    }

    public void setMeasureTaskNum(String measureTaskNum) {
        this.measureTaskNum = measureTaskNum == null ? null : measureTaskNum.trim();
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType == null ? null : billType.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    public String getIsPreScale() {
        return isPreScale;
    }

    public void setIsPreScale(String isPreScale) {
        this.isPreScale = isPreScale == null ? null : isPreScale.trim();
    }

    public String getBoundListUrl() {
        return boundListUrl;
    }

    public void setBoundListUrl(String boundListUrl) {
        this.boundListUrl = boundListUrl == null ? null : boundListUrl.trim();
    }

    public String getIsBoundList() {
        return isBoundList;
    }

    public void setIsBoundList(String isBoundList) {
        this.isBoundList = isBoundList == null ? null : isBoundList.trim();
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId == null ? null : contractId.trim();
    }

    public String getIsBoundListDownloaded() {
        return isBoundListDownloaded;
    }

    public void setIsBoundListDownloaded(String isBoundListDownloaded) {
        this.isBoundListDownloaded = isBoundListDownloaded == null ? null : isBoundListDownloaded.trim();
    }

    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId == null ? null : documentId.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", actualNo=").append(actualNo);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", noticeNo=").append(noticeNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", trailerNo=").append(trailerNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", materialNo=").append(materialNo);
        sb.append(", materialName=").append(materialName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", loadPointNo=").append(loadPointNo);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", sampleNo=").append(sampleNo);
        sb.append(", sampleVoucher=").append(sampleVoucher);
        sb.append(", carrierUnitNo=").append(carrierUnitNo);
        sb.append(", carrierUnitName=").append(carrierUnitName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", meterProcessNo=").append(meterProcessNo);
        sb.append(", meterProcessEditionNo=").append(meterProcessEditionNo);
        sb.append(", actualFirst1No=").append(actualFirst1No);
        sb.append(", grossWeight=").append(grossWeight);
        sb.append(", grossManNo=").append(grossManNo);
        sb.append(", grossManName=").append(grossManName);
        sb.append(", grossTime=").append(grossTime);
        sb.append(", baseSpot1No=").append(baseSpot1No);
        sb.append(", baseSpot1Name=").append(baseSpot1Name);
        sb.append(", grossClass=").append(grossClass);
        sb.append(", grossGroup=").append(grossGroup);
        sb.append(", grossMode=").append(grossMode);
        sb.append(", actualFirst2No=").append(actualFirst2No);
        sb.append(", tareWeight=").append(tareWeight);
        sb.append(", tareManNo=").append(tareManNo);
        sb.append(", tareManName=").append(tareManName);
        sb.append(", tareTime=").append(tareTime);
        sb.append(", baseSpot2No=").append(baseSpot2No);
        sb.append(", baseSpot2Name=").append(baseSpot2Name);
        sb.append(", tareClass=").append(tareClass);
        sb.append(", tareGroup=").append(tareGroup);
        sb.append(", tareMode=").append(tareMode);
        sb.append(", netWeight=").append(netWeight);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", netManNo=").append(netManNo);
        sb.append(", netManName=").append(netManName);
        sb.append(", netTime=").append(netTime);
        sb.append(", netSpot3No=").append(netSpot3No);
        sb.append(", netSpot3Name=").append(netSpot3Name);
        sb.append(", netGroup=").append(netGroup);
        sb.append(", netMode=").append(netMode);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", uploadFlag=").append(uploadFlag);
        sb.append(", checkManNo=").append(checkManNo);
        sb.append(", checkManName=").append(checkManName);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", uploadManNo=").append(uploadManNo);
        sb.append(", uploadManName=").append(uploadManName);
        sb.append(", uploadTime=").append(uploadTime);
        sb.append(", addWeight=").append(addWeight);
        sb.append(", netClass=").append(netClass);
        sb.append(", tbFlage=").append(tbFlage);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", memo=").append(memo);
        sb.append(", heatNo=").append(heatNo);
        sb.append(", shipmentGrossWeight=").append(shipmentGrossWeight);
        sb.append(", shipmentNetWeight=").append(shipmentNetWeight);
        sb.append(", shipmentNum=").append(shipmentNum);
        sb.append(", bindCardNo=").append(bindCardNo);
        sb.append(", predictionType=").append(predictionType);
        sb.append(", predictionCombination=").append(predictionCombination);
        sb.append(", meterPierName=").append(meterPierName);
        sb.append(", meterPierNo=").append(meterPierNo);
        sb.append(", shipNo=").append(shipNo);
        sb.append(", note=").append(note);
        sb.append(", voucherIdentity=").append(voucherIdentity);
        sb.append(", voucherItem=").append(voucherItem);
        sb.append(", businessGroup=").append(businessGroup);
        sb.append(", tempConveyance=").append(tempConveyance);
        sb.append(", conveyanceType=").append(conveyanceType);
        sb.append(", resourceSystem=").append(resourceSystem);
        sb.append(", groupPackageAmount=").append(groupPackageAmount);
        sb.append(", groupPackageUnit=").append(groupPackageUnit);
        sb.append(", packageAmount=").append(packageAmount);
        sb.append(", packageUnit=").append(packageUnit);
        sb.append(", theoryAmount=").append(theoryAmount);
        sb.append(", measureBatch=").append(measureBatch);
        sb.append(", measureBatchCount=").append(measureBatchCount);
        sb.append(", senderType=").append(senderType);
        sb.append(", senderRemark=").append(senderRemark);
        sb.append(", receiverType=").append(receiverType);
        sb.append(", receiverRemark=").append(receiverRemark);
        sb.append(", amountUnit=").append(amountUnit);
        sb.append(", measureObjectType=").append(measureObjectType);
        sb.append(", measureTaskNum=").append(measureTaskNum);
        sb.append(", billType=").append(billType);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", dataSource=").append(dataSource);
        sb.append(", isPreScale=").append(isPreScale);
        sb.append(", boundListUrl=").append(boundListUrl);
        sb.append(", isBoundList=").append(isBoundList);
        sb.append(", contractId=").append(contractId);
        sb.append(", isBoundListDownloaded=").append(isBoundListDownloaded);
        sb.append(", documentId=").append(documentId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}